/*
 * $Id: config.h,v 1.1 2003/03/07 16:15:43 tsavola Exp $
 * Timo Savola <timo.savola@movial.fi>
 */

#ifndef CONFIG_H
#define CONFIG_H

typedef struct {
	char *user;
	char *host;
	int port;
	char *pwd;
	char **opts;
} config_t;

extern void init_config(config_t *cfg);
extern void free_config(config_t *cfg);
extern int read_config(const char *file, const char *target, config_t *cfg);

#endif
